cc.funkemunky.api.profiling

## Class ToggleableProfiler

- java.lang.Object
- - cc.funkemunky.api.profiling.BaseProfiler
  - - cc.funkemunky.api.profiling.ToggleableProfiler

All Implemented Interfaces:
  Profiler

    public class ToggleableProfiler
    extends BaseProfiler

### Field Summary

Fields
`boolean` `enabled`

### Fields inherited from class cc.funkemunky.api.profiling.BaseProfiler

`averageSamples, calls, lastReset, lastSample, samples, samplesPerTick, samplesTotal, stddev, timings, total, totalCalls`

### Constructor Summary

Constructors
Constructor and Description
`ToggleableProfiler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `start()`
`void` `start(java.lang.String name)`
`void` `stop()`
`void` `stop(java.lang.String name)`
`void` `stop(java.lang.String name, long extense)`

### Methods inherited from class cc.funkemunky.api.profiling.BaseProfiler

`reset, results`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### enabled

    public boolean enabled

### Constructor Detail

#### ToggleableProfiler

    public ToggleableProfiler()

### Method Detail

#### start

    public void start()

Specified by:
  `start` in interface `Profiler`
Overrides:
  `start` in class `BaseProfiler`

#### start

    public void start(java.lang.String name)

Specified by:
  `start` in interface `Profiler`
Overrides:
  `start` in class `BaseProfiler`

#### stop

    public void stop()

Specified by:
  `stop` in interface `Profiler`
Overrides:
  `stop` in class `BaseProfiler`

#### stop

    public void stop(java.lang.String name)

Specified by:
  `stop` in interface `Profiler`
Overrides:
  `stop` in class `BaseProfiler`

#### stop

    public void stop(java.lang.String name,
                     long extense)

Specified by:
  `stop` in interface `Profiler`
Overrides:
  `stop` in class `BaseProfiler`